using System;

namespace Mono.Terminal {
public partial class Curses {
	public const int A_NORMAL = unchecked((int)0x0);
	public const int A_STANDOUT = unchecked((int)0x10000);
	public const int A_UNDERLINE = unchecked((int)0x20000);
	public const int A_REVERSE = unchecked((int)0x40000);
	public const int A_BLINK = unchecked((int)0x80000);
	public const int A_DIM = unchecked((int)0x100000);
	public const int A_BOLD = unchecked((int)0x200000);
	public const int A_PROTECT = unchecked((int)0x1000000);
	public const int A_INVIS = unchecked((int)0x800000);
	public const int ACS_LLCORNER = unchecked((int)0x40006d);
	public const int ACS_LRCORNER = unchecked((int)0x40006a);
	public const int ACS_HLINE = unchecked((int)0x400071);
	public const int ACS_ULCORNER = unchecked((int)0x40006c);
	public const int ACS_URCORNER = unchecked((int)0x40006b);
	public const int ACS_VLINE = unchecked((int)0x400078);
	public const int COLOR_BLACK = unchecked((int)0x0);
	public const int COLOR_RED = unchecked((int)0x1);
	public const int COLOR_GREEN = unchecked((int)0x2);
	public const int COLOR_YELLOW = unchecked((int)0x3);
	public const int COLOR_BLUE = unchecked((int)0x4);
	public const int COLOR_MAGENTA = unchecked((int)0x5);
	public const int COLOR_CYAN = unchecked((int)0x6);
	public const int COLOR_WHITE = unchecked((int)0x7);
	public const int BUTTON1_PRESSED = unchecked((int)0x2);
	public const int BUTTON1_RELEASED = unchecked((int)0x1);
	public const int BUTTON1_CLICKED = unchecked((int)0x4);
	public const int BUTTON1_DOUBLE_CLICKED = unchecked((int)0x8);
	public const int BUTTON1_TRIPLE_CLICKED = unchecked((int)0x10);
	public const int BUTTON2_PRESSED = unchecked((int)0x80);
	public const int BUTTON2_RELEASED = unchecked((int)0x40);
	public const int BUTTON2_CLICKED = unchecked((int)0x100);
	public const int BUTTON2_DOUBLE_CLICKED = unchecked((int)0x200);
	public const int BUTTON2_TRIPLE_CLICKED = unchecked((int)0x400);
	public const int BUTTON3_PRESSED = unchecked((int)0x2000);
	public const int BUTTON3_RELEASED = unchecked((int)0x1000);
	public const int BUTTON3_CLICKED = unchecked((int)0x4000);
	public const int BUTTON3_DOUBLE_CLICKED = unchecked((int)0x8000);
	public const int BUTTON3_TRIPLE_CLICKED = unchecked((int)0x10000);
	public const int BUTTON4_PRESSED = unchecked((int)0x80000);
	public const int BUTTON4_RELEASED = unchecked((int)0x40000);
	public const int BUTTON4_CLICKED = unchecked((int)0x100000);
	public const int BUTTON4_DOUBLE_CLICKED = unchecked((int)0x200000);
	public const int BUTTON4_TRIPLE_CLICKED = unchecked((int)0x400000);
	public const int BUTTON_SHIFT = unchecked((int)0x2000000);
	public const int BUTTON_CTRL = unchecked((int)0x1000000);
	public const int BUTTON_ALT = unchecked((int)0x4000000);
	public const int ALL_MOUSE_EVENTS = unchecked((int)0x7ffffff);
	public const int REPORT_MOUSE_POSITION = unchecked((int)0x8000000);
	public const int ERR = unchecked((int)0xffffffff);
	public const int KeyBackspace = unchecked((int)0x107);
	public const int KeyUp = unchecked((int)0x103);
	public const int KeyDown = unchecked((int)0x102);
	public const int KeyLeft = unchecked((int)0x104);
	public const int KeyRight = unchecked((int)0x105);
	public const int KeyNPage = unchecked((int)0x152);
	public const int KeyPPage = unchecked((int)0x153);
	public const int KeyHome = unchecked((int)0x106);
	public const int KeyMouse = unchecked((int)0x199);
	public const int KeyEnd = unchecked((int)0x168);


	static public int ColorPair(int n){
		return 0 + n * 256;
	}

}
}
